.grid {
    display: block;
    width: 100%;
    height: auto;
    float: left;
    position: relative;
    @media screen and (min-width: 1200px) {
        height: 782px;
    }
    @media screen and (min-width: 992px) and (max-width: 1199px) {
        height: 600px;
    }
    @media screen and (min-width: 768px) and (max-width: 991px) {
        height: 450px;
    }
    .grid-item {
        @include img-cover;
        @media screen and (min-width: 768px) {
            display: block;
            float: left;
            vertical-align: top;
            margin: 15px;
            position: absolute;
        }
        @media screen and (max-width: 767px) {
            width: 50%;
            float: left;
            a {
                padding-top: 100%;
                display: block;
                margin: 15px;
            }
        }
        @media screen and (max-width: 480px) {
            width: 100%;
            a {
                padding-top: 100%;
                display: block;
                margin: 0 0 15px;
            }
        }
        >a {
            @media screen and (min-width: 768px) {
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
            }
        }
        &.grid-item--width3 {
            @media screen and (min-width: 768px) {
                width: calc(25% - 30px);
                left: 0;
            }
        }
        &.grid-item--width4 {
            @media screen and (min-width: 768px) {
                width: calc(33.33% - 30px);
                left: 25%;
            }
        }
        &.grid-item--width5 {
            @media screen and (min-width: 768px) {
                width: calc(41.62% - 30px);
                left: 58.33%;
            }
        }
        &.grid-item-height-1 {
            @media screen and (min-width: 768px) {
                padding-top: 30%;
            }
        }
        &.grid-item-height-2 {
            @media screen and (min-width: 768px) {
                padding-top: 24.57%;
                top: 372px;
            }
            @media screen and (min-width: 992px) and (max-width: 1199px) {
                top: 312px;
            }
            @media screen and (min-width: 768px) and (max-width: 991px) {
                top: 246px;
            }
        }
        &.grid-item-height-3 {
            @media screen and (min-width: 768px) {
                padding-top: 21.32%;
            }
        }
        &.grid-item-height-4 {
            @media screen and (min-width: 768px) {
                padding-top: 33.4%;
                top: 271px;
            }
            @media screen and (min-width: 992px) and (max-width: 1199px) {
                top: 229px;
            }
            @media screen and (min-width: 768px) and (max-width: 991px) {
                top: 182px;
            }
        }
    }
}